package com.pcloud.book.group.dto;

import com.pcloud.common.dto.BaseDto;

/**
 * @描述：平台端社群统计
 * @作者：zhuyajie
 * @创建时间：10:28 2019/6/27
 * @版本：1.0
 */
public class GroupQrcodeInfo4Advertising extends BaseDto {

    /**
     * 微信群id
     */
    private String wxGroupId;
    /**
     * 群二维码id
     */
    private Long groupQrcodeId;
    /**
     * 微信群名称
     */
    private String groupName;
    /**
     * 编辑id
     */
    private Long adviserId;
    /**
     * 编辑名称
     */
    private String adviserName;
    /**
     * 图书名称
     */
    private String bookName;
    /**
     * 群分类名称
     */
    private String classify;
    /**
     * 当前群人数
     */
    private Integer userNumber;
    /**
     * 群二维码url
     */
    private String qrcodeUrl;
    /**
     * 专业标签ID
     */
    private Long proLabelId;

    /**
     * 专业标签名称
     */
    private String proLabelName;
    /**
     * 深度标签ID
     */
    private Long depLabelId;

    /**
     * 深度标签名称
     */
    private String depLabelName;

    /**
     * 目的标签ID
     */
    private Long purLabelId;

    /**
     * 目的标签名称
     */
    private String purLabelName;
    /**
     * 出版社id
     */
    private Long agentId;
    /**
     * 出版社名称
     */
    private String agentName;

    /**
     * 渠道状态
     */
    private Boolean isOpen;

    /**
     * 广告位数量
     */
    private Integer advertisingSpaceNum;

    public String getWxGroupId() {
        return wxGroupId;
    }

    public void setWxGroupId(String wxGroupId) {
        this.wxGroupId = wxGroupId;
    }

    public Long getGroupQrcodeId() {
        return groupQrcodeId;
    }

    public void setGroupQrcodeId(Long groupQrcodeId) {
        this.groupQrcodeId = groupQrcodeId;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public Long getAdviserId() {
        return adviserId;
    }

    public void setAdviserId(Long adviserId) {
        this.adviserId = adviserId;
    }

    public String getBookName() {
        return bookName;
    }

    public void setBookName(String bookName) {
        this.bookName = bookName;
    }

    public String getClassify() {
        return classify;
    }

    public void setClassify(String classify) {
        this.classify = classify;
    }

    public Integer getUserNumber() {
        return userNumber;
    }

    public void setUserNumber(Integer userNumber) {
        this.userNumber = userNumber;
    }

    public String getQrcodeUrl() {
        return qrcodeUrl;
    }

    public void setQrcodeUrl(String qrcodeUrl) {
        this.qrcodeUrl = qrcodeUrl;
    }

    public Long getProLabelId() {
        return proLabelId;
    }

    public void setProLabelId(Long proLabelId) {
        this.proLabelId = proLabelId;
    }

    public Long getDepLabelId() {
        return depLabelId;
    }

    public void setDepLabelId(Long depLabelId) {
        this.depLabelId = depLabelId;
    }

    public Long getPurLabelId() {
        return purLabelId;
    }

    public void setPurLabelId(Long purLabelId) {
        this.purLabelId = purLabelId;
    }

    public Long getAgentId() {
        return agentId;
    }

    public void setAgentId(Long agentId) {
        this.agentId = agentId;
    }

    public Boolean getOpen() {
        return isOpen;
    }

    public void setOpen(Boolean open) {
        isOpen = open;
    }

    public Integer getAdvertisingSpaceNum() {
        return advertisingSpaceNum;
    }

    public void setAdvertisingSpaceNum(Integer advertisingSpaceNum) {
        this.advertisingSpaceNum = advertisingSpaceNum;
    }

    public String getAgentName() {
        return agentName;
    }

    public void setAgentName(String agentName) {
        this.agentName = agentName;
    }

    public String getAdviserName() {
        return adviserName;
    }

    public void setAdviserName(String adviserName) {
        this.adviserName = adviserName;
    }

    public String getProLabelName() {
        return proLabelName;
    }

    public void setProLabelName(String proLabelName) {
        this.proLabelName = proLabelName;
    }

    public String getDepLabelName() {
        return depLabelName;
    }

    public void setDepLabelName(String depLabelName) {
        this.depLabelName = depLabelName;
    }

    public String getPurLabelName() {
        return purLabelName;
    }

    public void setPurLabelName(String purLabelName) {
        this.purLabelName = purLabelName;
    }

    @Override
    public String toString() {
        return "GroupQrcodeInfo4Advertising{" +
                "wxGroupId='" + wxGroupId + '\'' +
                ", groupQrcodeId=" + groupQrcodeId +
                ", groupName='" + groupName + '\'' +
                ", adviserId=" + adviserId +
                ", adviserName='" + adviserName + '\'' +
                ", bookName='" + bookName + '\'' +
                ", classify='" + classify + '\'' +
                ", userNumber=" + userNumber +
                ", qrcodeUrl='" + qrcodeUrl + '\'' +
                ", proLabelId=" + proLabelId +
                ", proLabelName='" + proLabelName + '\'' +
                ", depLabelId=" + depLabelId +
                ", depLabelName='" + depLabelName + '\'' +
                ", purLabelId=" + purLabelId +
                ", purLabelName='" + purLabelName + '\'' +
                ", agentId=" + agentId +
                ", agentName='" + agentName + '\'' +
                ", isOpen=" + isOpen +
                ", advertisingSpaceNum=" + advertisingSpaceNum +
                '}';
    }
}
